<?php
if (!defined('BASEPATH')) exit('No direct script access allowed');

class MY_Controller extends CI_Controller
{
    public function __construct()
    {
        parent::__construct();

        $this->load->model('user_m');
        $this->load->model('log_m');
        $this->load->model('detail_m');
        $this->load->model('ip_m');
        $this->load->model('stock_m');
    }

    public function currentTime(){
        return date('Y-m-d H:i:s', time() - date("Z"));
    }


    /**
     * @return user_m
     */
    public function getUserModel()
    {
        return $this->user_m;
    }

    /**
     * @return Log_m
     */
    public function getLogModel()
    {
        return $this->log_m;
    }

    /**
     * @return Detail_m
     */
    public function getDetailModel()
    {
        return $this->detail_m;
    }

    /**
     * @return IP_m
     */
    public function getIPModel()
    {
        return $this->ip_m;
    }

   /**
     * @return Stock_m
     */
    public function getStockModel()
    {
        return $this->stock_m;
    }



}